# vim: set ft=spec: -*- spec -*-
# $Id: mount.app,v 1.2 2003/11/17 20:24:48 raorn Exp $

%define ver 3.1
%define rel alt1

Name: mount.app
Version: %ver
Release: %rel

Summary: A Window Maker dock app which simplifies managing mountable devices
License: GPL
Group:  Graphical desktop/Window Maker
URL: http://mountapp.sourceforge.net

Source: %url/mountapp-%ver.tar.gz
Source1: %name.menu

Patch0: %name-%version-alt-i18n.patch
Patch1: %name-%version-alt-WINGs-path.patch

BuildPreReq: automake autoconf

# Automatically added by buildreq on Fri May 09 2008 
BuildRequires: gtk+-devel imake libICE-devel libWINGs-devel libXft-devel libXinerama-devel libXpm-devel libjpeg-devel libpng-devel libtiff-devel libungif-devel xorg-cf-files


%description
This is a Window Maker dock app which allows you to browse all your mount
points and to mount/unmount devices in a simple point and click manner.

%prep
%setup -n mountapp-%ver
%patch0 -p1
%patch1 -p1

%build
%__aclocal
%__automake
%__autoheader
%__autoconf
export ac_cv_path_MOUNT_CMD=/bin/mount
export ac_cv_path_UMOUNT_CMD=/bin/umount
export ac_cv_path_EJECT_CMD=/usr/bin/eject
export ac_cv_path_XMESSAGE=/usr/bin/xmessage
%configure \
	--prefix=%_prefix \
	--bindir=%_bindir \
	--datadir=%_datadir \
	--with-nlsdir=%_datadir/locale
%make_build

%install
%makeinstall \
	bindir=%buildroot%_bindir \
	datadir=%buildroot%_datadir \
	nlsdir=%buildroot%_datadir/locale
%__install -p -D -m644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name
%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc TODO README README.smb INSTALL THANKS AUTHORS COPYING NEWS ChangeLog
%_bindir/*
%_menudir/%name
%dir %_datadir/%name
%_x11datadir/%name/*

%changelog
* Fri May 09 2008 Alexey Voinov <voins@altlinux.ru> 3.1-alt1
- new version (3.1)
- buildreq updated
- /usr/X11R6 -> /usr

* Sun May 22 2005 Alexey Voinov <voins@altlinux.ru> 3.0-alt1.2
- rebuilt wityh new libWINGs.so

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 3.0-alt1.1
- Rebuilt with libtiff.so.4.

* Mon Nov 17 2003 Sir Raorn <raorn@altlinux.ru> 3.0-alt1
- [3.0]
- alt-i18n patch updated

* Wed Jul 09 2003 Sir Raorn <raorn@altlinux.ru> 2.7-alt2
- alt-i18n patch by voins
- Removed build deps on XFree86-utils and eject

* Tue Oct 22 2002 Sir Raorn <raorn@altlinux.ru> 2.7-alt1
- [2.7]
- Updated BuildRequires

* Thu Jan 10 2002 Sir Raorn <raorn@altlinux.ru> 2.6-alt2
- BuildRequires tag (But why?)

* Mon Dec 24 2001 Sir Raorn <raorn@altlinux.ru> 2.6-alt1
- Built for Sisyphus


